

The centerline of a wide polyline is used to make area and perimeter calculations. When calculating the perimeter, however, AutoCAD ignores that line. If you select an open polyline, AutoCAD calculates the area as if a line were drawn from the last point entered to the first. When calculating the perimeter, AutoCAD adds that line length.Ĭalculates the area and perimeter of the selected object.ĪutoCAD calculates the area and perimeter and returns the total area of all the areas defined by selecting points or objects since Add mode was turned on. If you do not close the polygon, AutoCAD calculates the area as if a line were drawn from the last point entered to the first. AutoCAD calculates the area and perimeter and returns the total area of all the areas defined by selecting points or objects since Add mode was turned on. Specify next corner point or press ENTER for total (ADD mode): Specify a point (2) All points must lie in a plane parallel to the XY plane of the current UCS. Specify first corner point or : Specify a point (1) or enter an optionĬalculates the area and perimeter you define by selecting points. You can use the Subtract option to subtract specified areas from the total area. The Add option calculates the individual areas and perimeters of defined areas and objects as well as the total area of all defined areas and objects. Turns on Add mode and keeps a running balance of the total area as you continue to define areas. this feature is built into the area command already. (rtos clean_area 2 2) change by own units

(setq clean_area (- plate_area int_area))

(setq int_area (+ int_area (vla-get-area obj))) (setq obj (vlax-ename->vla-object (ssname ss i)) (setq plate (vlax-ename->vla-object plate_ent)) (if (setq plate_ent (car (entsel "\nSelect pline \n"))) Now you can stretch the boundary by using the STRETCH command or by using grips. On the command line, enter regen and the field will automatically change the area value according to the current area of the boundary.Code: (defun C:plar (/ acsp adoc clean_area i In the Property selection box, select Area and click OK. Specify the insertion point.The object type box will now display the word "Polyline." Click the Select Object button, then select the boundary (pline).In the Field names selection box, select Object.In the Field dialog box, in the field category drop-down list, select Objects.Use the PLINE command to create the closed boundary.To insert an associated area for a closed boundary, follow these steps: (That is, if you increase or decrease the area of the boundary by stretching or scaling, the inserted field area value will also change.) The inserted value will be associated with the boundary. The FIELD command can be used to insert the area value of a closed boundary.
